<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/define_area_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr"> 1 </span>02/08/84  define_area_
<span id="L2" class="LineNr"> 2 </span>
<span id="L3" class="LineNr"> 3 </span>
<span id="L4" class="LineNr"> 4 </span>Entry points in define_area_:
<span id="L5" class="LineNr"> 5 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L6" class="LineNr"> 6 </span>
<span id="L7" class="LineNr"> 7 </span>
<span id="L8" class="LineNr"> 8 </span>:Entry: define_area_: 02/08/84  define_area_
<span id="L9" class="LineNr"> 9 </span>
<span id="L10" class="LineNr">10 </span>Function: initializes a region of storage as an area and enables
<span id="L11" class="LineNr">11 </span>special area management features.  The region being initialized may or
<span id="L12" class="LineNr">12 </span>may not consist of an entire segment or may not even be specified at
<span id="L13" class="LineNr">13 </span>all, in which case a segment is acquired <span class="textRainbow_lv0_p0">(</span>from the free pool of
<span id="L14" class="LineNr">14 </span>temporary segments<span class="textRainbow_lv0_p0">)</span> for the caller.
<span id="L15" class="LineNr">15 </span>
<span id="L16" class="LineNr">16 </span>See the release_area_ subroutine for a description of how to free up
<span id="L17" class="LineNr">17 </span>segments acquired via this interface.
<span id="L18" class="LineNr">18 </span>
<span id="L19" class="LineNr">19 </span>
<span id="L20" class="LineNr">20 </span>Syntax:
<span id="L21" class="LineNr">21 </span>declare define_area_ entry <span class="textRainbow_lv0_p0">(</span>ptr<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L22" class="LineNr">22 </span>call define_area_ <span class="textRainbow_lv0_p0">(</span>info_ptr<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L23" class="LineNr">23 </span>
<span id="L24" class="LineNr">24 </span>
<span id="L25" class="LineNr">25 </span>Arguments:
<span id="L26" class="LineNr">26 </span>info_ptr
<span id="L27" class="LineNr">27 </span>   points to the standard area_info structure used by the various area
<span id="L28" class="LineNr">28 </span>   management routines and is declared in area_info.incl.pl1.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L29" class="LineNr">29 </span>code
<span id="L30" class="LineNr">30 </span>   is a system status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L31" class="LineNr">31 </span>
<span id="L32" class="LineNr">32 </span>
<span id="L33" class="LineNr">33 </span>Notes:  The define_area_ subroutine gives the user more control over an
<span id="L34" class="LineNr">34 </span>area than is defined in the PL/I language.  The PL/I empty built-in
<span id="L35" class="LineNr">35 </span>function cannot empty a define_area_ area; the release_area_ subroutine
<span id="L36" class="LineNr">36 </span>must be used instead.  PL/I offset values and PL/I area assignment
<span id="L37" class="LineNr">37 </span>cannot be used with extensible areas.  In PL/I, an area variable is
<span id="L38" class="LineNr">38 </span>always initialized.  Consequently, if a based area is overlayed upon
<span id="L39" class="LineNr">39 </span>arbitrary storage instead of being allocated with a PL/I allocate
<span id="L40" class="LineNr">40 </span>statement, then the define_area_ subroutine must be used to turn the
<span id="L41" class="LineNr">41 </span>contents of the based area into a PL/I area value.
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
